The Admin object
Attribute | Description | Editable? |
id | Vitally's unique ID for the Admin | No |
name | The full name of the Admin. | In-app |
The email of the Admin. | In-app | |
licenseStatus | The current license status of the Admin - 'active', 'deactivated' or 'auto-created' | In-app |
role | The team member role assigned to the Admin (e.g. 'leader') | No |
Replace {subdomain} in the endpoints below with your Vitally subdomain.
You can find your subdomain in the URL used to log into Vitally (i.e., https://yoursubdomain.vitally.io
List Admins GET
Returns a paginated list of all Admins.
US Data Center (default):
https://{subdomain}.rest.vitally.io/resources/admins
EU Data Center:
https://rest.vitally-eu.io/resources/admins
Example Request
GET https://{subdomain}.rest.vitally.io/resources/admins?limit=10&from=cursorExample Response
{
"results": [
{
"id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"name": "Richard Hendricks",
"email": "richard@piedpiper.io",
"licenseStatus": "active",
"role": "admin"
},
{
"id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"name": "Bertram Gilfoyle",
"email": "gilfoyle@piedpiper.io",
"licenseStatus": "active",
"role": "leader"
},
{
"id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"name": "Nelson Bighetti",
"email": "bighead@piedpiper.io",
"licenseStatus": "active",
"role": "observer"
}
],
"next": null,
"atEnd": true
}
List endpoints use cursor-based pagination. See Pagination in the REST API Overview.
Search Admins GET
Lookup Vitally Admins by email
US Data Center (default):
https://{subdomain}.rest.vitally.io/resources/admins/search
EU Data Center:
https://rest.vitally-eu.io/resources/admins/search
Query Params (exactly one is required)
Param | Type | Description |
| Required The email of the User |
Example Request
GET https://{subdomain}.rest.vitally.io/resources/admins/search?email=user@domain.comExample Response
{
"id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"name": "Richard Hendricks",
"email": "richard@piedpiper.io",
"licenseStatus": "active",
"role": "leader"
}
Fetch an Admin GET
Returns a single Admin by their Vitally ID.
US Data Center (default):
https://{subdomain}.rest.vitally.io/resources/admins/:id
EU Data Center:
https://rest.vitally-eu.io/resources/admins/:id
Path Params
Param | Type | Description |
id |
| Required Vitally's unique ID for the Admin |
Example Request
GET https://{subdomain}.rest.vitally.io/resources/admins/xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxxExample Response
{
"id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"name": "Richard Hendricks",
"email": "richard@piedpiper.io",
"licenseStatus": "active",
"role": "leader"
}